Skip to Content
veriom

Export intent calm

GET
/v1/workspaces/{workspace_id}/architecture-intent/versions/{version_id}/calm

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
version_id*Version Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
content*Content
content_sha256*Content Sha256
filename*Filename
intent_content_sha256*Intent Content Sha256
intent_version_id*Intent Version Id
Formatuuid
schema_version?Schema Version
Default"1.2"
state*State
Value in"draft""ratified""rejected"
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08/calm'
Example Response
{  "content": "string",  "content_sha256": "string",  "filename": "string",  "intent_content_sha256": "string",  "intent_version_id": "62989457-cfaa-4fbe-b5d4-02c9f2893753",  "schema_version": "1.2",  "state": "draft"}